package packageForL9L10;

public class EventGeneratorExample_F {

	/**
	 * A very simple application that demonstrates the MVC architecture. This
	 * app affords no interaction to speak of. Rather, any time an event occurs
	 * (mouse event, property change event, component, or window event),
	 * information about the event is printed to the console.
	 * 
	 * This app is very similar to EventGeneratorExample; the only difference is
	 * in the class definitions that are used to provide the views. The view
	 * that is based on the DotFrame class definition is capable of dispatching
	 * window events, whereas the view that is based on DotPanel is not.
	 * 
	 * @param args
	 */
	public static void main(String[] args) {
		// Create the model.
		SimpleThreeDotModel_v2 model = new SimpleThreeDotModel_v2();
		// Create the view. Note that the DotFrame is a slightly different
		// version of a view than DotPanel because it consists of a top-level
		// container widget, which is JFrame (as opposed to DotPanel, which
		// needs to be added to a JFrame as a secondary step).
		DotFrame view = new DotFrame(model);

		new EventTracker_F(view, model);

	}
}
