package packageForL9L10;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.ComponentEvent;
import java.awt.event.ComponentListener;
import java.awt.event.ContainerEvent;
import java.awt.event.ContainerListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;
import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;
import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;

public class EventTracker_F implements MouseListener, MouseMotionListener,
		ComponentListener, PropertyChangeListener, WindowListener {

	private SimpleThreeDotModel_v2 theModel;
	private DotFrame theView;

	/**
	 * Instantiates a controller object that receives all sorts of events from
	 * the view.
	 * 
	 * @param view
	 * @param model
	 */
	public EventTracker_F(DotFrame view, SimpleThreeDotModel_v2 model) {
		theModel = model;
		theView = view;

		/**
		 * The widgets of the view will generate events. We want the controller
		 * to be aware of such events so that it can update the model
		 * accordingly.
		 * 
		 */
		theView.addMouseListener(this);
		theView.addMouseMotionListener(this);
		theView.addComponentListener(this);
		theView.addPropertyChangeListener(this);
		theView.addWindowListener(this);

	}

	/**
	 * Causes details of this event to be printed to the console
	 */
	public void mouseClicked(MouseEvent e) {
		System.out.println(e);
	}

	/**
	 * Causes details of this event to be printed to the console
	 */
	public void mousePressed(MouseEvent e) {
		System.out.println(e);
	}

	/**
	 * Causes details of this event to be printed to the console
	 */
	public void mouseReleased(MouseEvent e) {
		System.out.println(e);
	}

	/**
	 * Causes details of this event to be printed to the console
	 */
	public void mouseEntered(MouseEvent e) {
		System.out.println(e);
	}

	/**
	 * Causes details of this event to be printed to the console
	 */
	public void mouseExited(MouseEvent e) {
		System.out.println(e);
	}

	/**
	 * Causes details of this event to be printed to the console
	 */
	public void mouseDragged(MouseEvent e) {
		System.out.println(e);
	}

	/**
	 * Causes details of this event to be printed to the console
	 */
	public void mouseMoved(MouseEvent e) {
		System.out.println(e);
	}

	/**
	 * Causes details of this event to be printed to the console
	 */
	public void componentResized(ComponentEvent e) {
		System.out.println(e);
	}

	/**
	 * Causes details of this event to be printed to the console
	 */
	public void componentMoved(ComponentEvent e) {
		System.out.println(e);
	}

	/**
	 * Causes details of this event to be printed to the console
	 */
	public void componentShown(ComponentEvent e) {
		System.out.println(e);
	}

	/**
	 * Causes details of this event to be printed to the console
	 */
	public void componentHidden(ComponentEvent e) {
		System.out.println(e);
	}

	/**
	 * Causes details of this event to be printed to the console
	 */
	public void propertyChange(PropertyChangeEvent evt) {
		System.out.println(evt);
	}

	public void componentAdded(ContainerEvent e) {
		System.out.println(e);
	}

	public void componentRemoved(ContainerEvent e) {
		System.out.println(e);
	}

	public void windowOpened(WindowEvent e) {
		System.out.println(e);
	}

	public void windowClosing(WindowEvent e) {
		System.out.println(e);
	}

	public void windowClosed(WindowEvent e) {
		System.out.println(e);
	}

	public void windowIconified(WindowEvent e) {
		System.out.println(e);
	}

	public void windowDeiconified(WindowEvent e) {
		System.out.println(e);
	}

	public void windowActivated(WindowEvent e) {
		System.out.println(e);
	}

	public void windowDeactivated(WindowEvent e) {
		System.out.println(e);
	}

}
